View Issue Details

IDProjectCategoryView StatusLast Update
0021036LazarusIDEpublic2013-09-03 12:07
ReporterreeNUTAssigned ToVincent Snijders 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSWindows 7 UltimateOS Version7
Product VersionProduct Build2011-11-04 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0021036: Restoring Source Editor window
DescriptionBy default I have Source Editor window minimized to left bottom corner of screen. If I double click of any control on form-designer Source Editor doesn't restoring to original state, but jump to default event handler in minimized windows goes normal. It works fine in Delphi.
Steps To Reproduce1. Open LAZARUS
2. File - New - Project - Application
3. Place TButton on Form1
4. Double click Button1
Source Editor window doesn't restoring from left botton corner!
TagsNo tags attached.
Fixed in Revision
LazTarget1.4
Widgetset
Attached Files

Activities

2012-01-06 22:52

 

trouble.jpg (57,401 bytes)
trouble.jpg (57,401 bytes)

Martin Friebe

2012-01-07 15:23

manager   ~0055549

Which version of lazarus do you use?

I can reproduce with 0.9.30, but it appears to be fixed in 0.9.31

reeNUT

2012-02-05 11:08

reporter   ~0056505

I use
Lazarus version 0.9.30.2 - i386-win32
date 2011-11-04
FPC Version 2.4.4
SVN Revision 33306

Vincent Snijders

2012-03-15 21:17

manager   ~0057690

Presumably fixed in 0.9.31.

Issue History

Date Modified Username Field Change
2012-01-06 22:52 reeNUT New Issue
2012-01-06 22:52 reeNUT File Added: trouble.jpg
2012-01-06 23:32 Florian Project FPC => Lazarus
2012-01-07 15:23 Martin Friebe LazTarget => -
2012-01-07 15:23 Martin Friebe Note Added: 0055549
2012-01-07 15:23 Martin Friebe Status new => feedback
2012-02-04 11:14 Zeljan Rikalo LazTarget - => post 1.2
2012-02-04 11:14 Zeljan Rikalo Product Version 2.4.4 =>
2012-02-05 11:08 reeNUT Note Added: 0056505
2012-03-15 21:17 Vincent Snijders Status feedback => resolved
2012-03-15 21:17 Vincent Snijders Fixed in Version => 0.9.31 (SVN)
2012-03-15 21:17 Vincent Snijders Resolution open => fixed
2012-03-15 21:17 Vincent Snijders Assigned To => Vincent Snijders
2012-03-15 21:17 Vincent Snijders Note Added: 0057690
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4